
const ModulerRefineDoc = {
    state: {
        current_tag: '',
        contents: new Map()
    },
    mutations: {
        setCurrentTag(state, newTag) {
            console.log("storetag", newTag);
            state.current_tag = newTag;
        },
        // 增加tag下的value数组里的内容的mutation方法
        addContentToTag(state, {tag, newContent}) {
            console.log("tag, newContent", {tag, newContent});
            if (!state.contents.has(tag)) {
                state.contents.set(tag, []);
            }
            state.contents.get(tag).push(newContent);
            return state.contents.get(tag) - 1;
        },
        // 修改tag下的value数组里的内容的mutation方法
        changeContentForTag(state, {tag, index, newContent}) {
            if (!state.contents.has(tag)) {
                state.contents.set(tag, []);
            }
            var tagContents = state.contents.get(tag);
            console.log("oldtagc", tagContents, tagContents[index]);
            if (tagContents[index]){
                state.contents.get(tag).splice(index,1,newContent);
            }
        },
        // 清空tag下的数组内容的mutation方法
        clearContentsForTag(state, tag) {
            if (state.contents.has(tag)) {
                state.contents.set(tag, []);
            }
        }
    },
    getters: {
        getCurrentTag(state) {
            return state.current_tag;
        },
        getCurrentContent(state) {
            return state.contents.get(state.current_tag);
        },
        getCurrentindex(state) {
            return state.contents.get(state.current_tag).length - 1;
        }
    },
    modules: {
    }
}

export default ModulerRefineDoc;